Indexes   

HybridShapeSweepExplicit (Object)

Represents the hybrid shape Sweep explicit feature object.
Role: To access the data of the hybrid shape sweep explicit feature object.

LICENSING INFORMATION: Creation of volume result requires GSO License
if GSO License is not granted , settting of Volume context has not effect

See also:
HybridShapeFactory

Property Index

AngleLawInversion
Returns or sets the angle law inversion information.
AngleLawType
Returns or sets the angle law type associated to the reference surface.
AngleLaw
Returns or sets the angle law feature associated to the reference surface.
Context
Returns or sets the context on Sweep feature.
FirstGuideCrv
Gets the first guide curve.
GuideDeviationActivity
Returns or sets information whether a deviation from guide curves is allowed or not.
GuideDeviation
Returns deviation value (length) from guide curves allowed during sweeping operation in order to smooth it.
GuideProjection
Returns or sets the projection of the guide curve onto the reference plane in order to use it as spine, in pulling direction case only.
Mode
Returns or sets positioning mode used for the profile.
PositionMode
Returns or sets positioning mode.
PositionedProfile
Returns or sets the positioning transformation associated to the explicit swept surface and which result corresponds to the positioned profile.
ProfileXAxisComputationMode
Returns or sets the computation mode of the X axis (or direction) of the initial axis system (on the profile).
Profile
Gets the profile to be swept out.
PullingDirection
Gets or sets the pulling direction
If the direction is specified, the plane normal to this direction is taken as reference surface.
Reference
Returns or sets the reference surface (optional).
SecondGuideCrv
Gets the second guide curve (optional).
SmoothActivity
Returns or sets information whether sweeping operation is smoothed or not.
SmoothAngleThreshold
Returns angular threshold.
SolutionNo
Returns or sets the choice number, which corresponds to each solution of a given explicit sweep case.
Spine
Returns or sets the spine (optional) for sweep operation.
SubType
Returns or sets the explicit sweep subtype.

Method Index

GetAngleRef
Gets the angle value associated to the reference surface.
GetFittingPoints
Gets the fitting points : located in the profile plane, these points are used for two-guide swept surfaces to determine guide intersection locations.
GetLongitudinalRelimiters
GetNbAngle
Returns the number of Angles.
GetNbGuide
Gets the number of guides curves.
GetNbPosAngle
Gets the number of numerical positioning parameters corresponding to angles from the default positions of the X axes.
GetNbPosCoord
Gets the number of numerical positioning parameters corresponding to coordinates of the new axes systems origins.
GetPosAngle
Gets angles if both profile and first sweep plane axis systems from default positions.
GetPosCoord
Gets translations coordinates if both profile axis system and first sweep plane axis system from default positions.
GetPosDirection
Gets the positioning directions : profile plane or first sweep plane X-axis direction.
GetPosPoint
Gets the points designated as the origins of the profile plane and first sweep plane.
GetPosSwapAxes
Gets axes inversion from previous definition for both profile plane and first sweep plane.
GetRelimiters
Retrieves the elements relimiting the spine (or the default spine).
IsSketchAxisUsedAsDefault
Queries status wherere Sketch axis used as default or not.
RemoveAngle
Removes an Angle.
RemoveFittingPoints
Removes the fitting points.
RemoveGuide
Removes a guide curve.
SetAngleRef
Sets the angle value associated to the reference surface.
SetFittingPoints
Sets the fitting points.
SetGuideDeviation
Sets deviation value (length) from guide curves allowed during sweeping.
SetLongitudinalRelimiters
SetPosAngle
Sets angles if both profile and first sweep plane axis systems from default positions.
SetPosCoord
Sets translations coordinates if both profile axis system and first sweep plane axis system from default positions.
SetPosDirection
Sets the positioning directions : profile plane or first sweep plane X-axis direction.
SetPosPoint
Sets the points designated as the origins of the profile plane and first sweep plane.
SetPosSwapAxes
Sets axes inversion from previous definition for both profile plane and first sweep plane.
SetRelimiters
Sets the elements relimiting the spine (or the default spine).
SetSmoothAngleThreshold
Sets angular threshold.
UseSketchAxisAsDefault
Uses Sketch Axis As Default.

Properties


o Property AngleLawInversion() As
Returns or sets the angle law inversion information.
Parameters:
oElem
Angle law inversion information.
See also:
HybridShapeFactory
o Property AngleLawType() As
Returns or sets the angle law type associated to the reference surface.
Parameters:
oElem
Angle law type.
See also:
HybridShapeFactory
o Property AngleLaw() As
Returns or sets the angle law feature associated to the reference surface.
Parameters:
oElem
Angle law element. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Property Context() As
Returns or sets the context on Sweep feature.
  • 0 This option creates Swept surface.
  • 1 This option creates Swept volume.

Note: Setting volume result requires GSO License.
Example:
This example retrieves in oContext the context for the Sweep hybrid shape feature.
 Dim oContext
 Set oContext = Sweep.Context
 
o Property FirstGuideCrv() As
Gets the first guide curve.
Parameters:
oElem
Guide curve. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++ Implementations
See also:
HybridShapeFactory
o Property GuideDeviationActivity() As
Returns or sets information whether a deviation from guide curves is allowed or not.
Gives the information on performing smoothing during sweeping operation.
TRUE or FALSE (FALSE if not specified).
o Property GuideDeviation() As (Read Only)
Returns deviation value (length) from guide curves allowed during sweeping operation in order to smooth it.
o Property GuideProjection() As
Returns or sets the projection of the guide curve onto the reference plane in order to use it as spine, in pulling direction case only. Removes Spine if GuideProjection is set to TRUE.
Legal values: True projection is required and False if not
Example:
This example sets that the GuideProjection mode of the Sweep hybrid shape sweep explicit feature to True.
 Sweep.GuideProjection = True
 
o Property Mode() As
Returns or sets positioning mode used for the profile.
Parameters:
oElem

Values :
= 1 - CATGSMPositionMode_NoneOrPositioned : no positioning,

= 2 - CATGSMPositionMode_ExplicitSweep : the explicit profile is to be moved from its initial plane to the first sweep plane,

= 3 - CATGSMPositionMode_Develop : === DO NOT USE IN THIS CASE ===
See also:
HybridShapeFactory
o Property PositionMode() As
Returns or sets positioning mode.
Legal values:
0
CATGSMPositionMode_NoneOrPositioned.
1
CATGSMPositionMode_ExplicitSweep. if a positioning operation is done.
Example:
This example retrieves in oPosMode the position mode for the Sweep hybrid shape feature.
 oPosMode = Sweep.PositionMode
 
o Property PositionedProfile() As
Returns or sets the positioning transformation associated to the explicit swept surface and which result corresponds to the positioned profile.
Parameters:
oElem
Positioning transformation / positioned profile. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Property ProfileXAxisComputationMode() As
Returns or sets the computation mode of the X axis (or direction) of the initial axis system (on the profile). Default value is CATGSMPositionDirCompMode_None when PosDirection(OutputDirection) is not specified and CATGSMPositionDirCompMode_User if OutputDirection is specified.
Legal values:
0
CATGSMPositionDirCompMode_None. No X axis specified.
1
CATGSMPositionDirCompMode_Tangent: the X axis is implicitly the tangent of the profile at the origin (the origin then HAS to be on the profile)
2
CATGSMPositionDirCompMode_User: the X axis is specified by a direction via SetPosDirection(UserInputDirection, 1)
Example:
This example retrieves in oDirCompMode the Profile X Axis ComputationMode for the Sweep hybrid shape feature.
 oDirCompMode = Sweep.ProfileXAxisComputationMode
 
o Property Profile() As
Gets the profile to be swept out.
Parameters:
oElem
Profile element. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++ Implementations
See also:
HybridShapeFactory
o Property PullingDirection() As
Gets or sets the pulling direction
If the direction is specified, the plane normal to this direction is taken as reference surface.
Example:
This example retrieves in ohDir the pulling direction feature for the Sweep hybrid shape feature.
 Dim ohDir As CATIAHybridShapeDirection
 Set ohDir = Sweep.PullingDirection
 
o Property Reference() As
Returns or sets the reference surface (optional).
Parameters:
oElem
Reference surface. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
o Property SecondGuideCrv() As
Gets the second guide curve (optional).
Parameters:
oElem
Guide curve. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++ Implementations
See also:
HybridShapeFactory
o Property SmoothActivity() As
Returns or sets information whether sweeping operation is smoothed or not.
TRUE or FALSE (FALSE if not specified).
o Property SmoothAngleThreshold() As (Read Only)
Returns angular threshold.
o Property SolutionNo() As
Returns or sets the choice number, which corresponds to each solution of a given explicit sweep case.
For example: a explicit sweep with reference surface leads to four possible solutions.
o Property Spine() As
Returns or sets the spine (optional) for sweep operation.
Parameters:
oElem
Spine curve. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Property SubType() As
Returns or sets the explicit sweep subtype.
Legal subtype values are:
1 Explicit profile swept surface defined with reference surface
2 Explicit profile swept surface defined with two guide curves
3 Explicit profile swept surface defined with pulling direction

Methods


o Func GetAngleRef( ii) As
Gets the angle value associated to the reference surface.
Parameters:
iI
Angle value index (1: start value, 2: end value).
oElem
Angle value. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Sub GetFittingPoints( opIAElemA,
opIAElemB)
Gets the fitting points : located in the profile plane, these points are used for two-guide swept surfaces to determine guide intersection locations.
param opIAElem1 Fitting point associated to the first guide
param opIAElem2 Fitting point associated to the second guide
o Sub GetLongitudinalRelimiters( opIAElemA,
opIAElemB)
Deprecated:
V5R16 CATHybridShapeSweepExplicit#GetRelimiters Returns the elements relimiting the spine (or the default spine).
param : opIAElem1 First relimiting feature (plane or point)
param : opIAElem2 Second relimiting feature (plane or point)
o Sub GetNbAngle( oAng)
Returns the number of Angles.
param : oAng Number of Angle.
o Sub GetNbGuide( oNum)
Gets the number of guides curves.
param : oNum Number of guide curves.
o Sub GetNbPosAngle( oPosAng)
Gets the number of numerical positioning parameters corresponding to angles from the default positions of the X axes.
param : oPosAng Number of parameters
o Sub GetNbPosCoord( oPosCoord)
Gets the number of numerical positioning parameters corresponding to coordinates of the new axes systems origins.
param oPosCoord Number of parameters
o Func GetPosAngle( ii) As
Gets angles if both profile and first sweep plane axis systems from default positions.
Parameters:
iI
Index of numerical positioning coordinates in profile (value 1) or first sweep plane (value 2) axis system.
oElem
Angle value. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Angle
See also:
HybridShapeFactory
o Func GetPosCoord( ii) As
Gets translations coordinates if both profile axis system and first sweep plane axis system from default positions.
Parameters:
iI
Index of numerical positioning coordinates in profile (value 1 or 2) or first sweep plane (value 3 or 4) axis system.
oElem
Coordinate value. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Length
See also:
HybridShapeFactory
o Func GetPosDirection( ii) As
Gets the positioning directions : profile plane or first sweep plane X-axis direction.
Parameters:
iI
Plane index : 1 for profile plane, 2 for first sweep plane.
oElem
Direction element. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Func GetPosPoint( ii) As
Gets the points designated as the origins of the profile plane and first sweep plane.
Parameters:
iI
Plane index : 1 for profile plane, 2 for first sweep plane.
oElem
Origin point. return value for CATScript applications, with (IDLRETVAL) function type
See also:
Reference
See also:
HybridShapeFactory
o Func GetPosSwapAxes( ii) As
Gets axes inversion from previous definition for both profile plane and first sweep plane.
Parameters:
iI
Axis system index (1 for profile plane, 2 for first sweep plane).
oElem
Inversion value:
Inversion values :
= 1 - CATGSMAxisInversionMode_None : no axis inverted.
= 2 - CATGSMAxisInversionMode_X : only X axis inverted.
= 3 - CATGSMAxisInversionMode_Y : only Y axis inverted.
= 4 - CATGSMAxisInversionMode_Both : both axes inverted.
See also:
HybridShapeFactory
o Sub GetRelimiters( opIAElem1,
opOrient1,
opIAElem2,
opOrient2)
Retrieves the elements relimiting the spine (or the default spine).
Parameters:
opIAElem1
The first relimiting feature (plane or point)
opOrient1
Split direction for the first relimitation
0 means that the beginning of the spine (considering its orientation) is removed, 1 means that the end of the spine is removed
opIAElem2
The second relimiting feature (plane or point)
opOrient2
Split direction for the second relimitation
o Sub IsSketchAxisUsedAsDefault( oBoolean)
Queries status wherere Sketch axis used as default or not.
In case of a sketch profile, specify if the 2D sketch axis must be used as default planar profile axis (for positioning purpose) or not.
param oBoolean TRUE if the 2D sketch axis must be used, FALSE if not.
o Sub RemoveAngle()
Removes an Angle.
o Sub RemoveFittingPoints()
Removes the fitting points.
o Sub RemoveGuide()
Removes a guide curve.
o Sub SetAngleRef( ii,
Elem)
Sets the angle value associated to the reference surface.
Parameters:
iI
Angle value index (1: start value, 2: end value).
iElem
Angle value.
See also:
HybridShapeFactory
o Sub SetFittingPoints( ipIAElemA,
ipIAElemB)
Sets the fitting points.
Does not work with NULL_var values, Use RemoveFittingPoints() method instead.
param ipIAElem1 Fitting point associated to the first guide (must not be equal to NULL_var)
param ipIAElem2 Fitting point associated to the second guide (can be equal to NULL_var)
o Sub SetGuideDeviation( iLength)
Sets deviation value (length) from guide curves allowed during sweeping. operation in order to smooth it.
param : iLength Numerical value.
o Sub SetLongitudinalRelimiters( ipIAElemA,
ipIAElemB)
Deprecated:
V5R16 CATHybridShapeSweepExplicit#SetRelimiters Sets the elements relimiting the spine (or the default spine).
param : ipIAElem1 First relimiting feature (plane or point)
param : ipIAElem2 Second relimiting feature (plane or point)
o Sub SetPosAngle( ii,
Elem)
Sets angles if both profile and first sweep plane axis systems from default positions.
Parameters:
iI
Index of numerical positioning coordinates in profile (value 1) or first sweep plane (value 2) axis system.
iElem
Angle value.
See also:
HybridShapeFactory
o Sub SetPosCoord( ii,
Elem)
Sets translations coordinates if both profile axis system and first sweep plane axis system from default positions.
Parameters:
iI
Index of numerical positioning coordinates in profile (value 1 or 2) or first sweep plane (value 3 or 4) axis system.
iElem
Coordinate value.
See also:
HybridShapeFactory
o Sub SetPosDirection( ii,
Elem)
Sets the positioning directions : profile plane or first sweep plane X-axis direction.
Parameters:
iI
Plane index : 1 for profile plane, 2 for first sweep plane.
iElem
Direction element.
See also:
Reference
See also:
HybridShapeFactory
o Sub SetPosPoint( ii,
Elem)
Sets the points designated as the origins of the profile plane and first sweep plane.
Parameters:
iI
Plane index : 1 for profile plane, 2 for first sweep plane.
iElem
Origin point.
See also:
Reference
See also:
HybridShapeFactory
o Sub SetPosSwapAxes( ii,
Elem)
Sets axes inversion from previous definition for both profile plane and first sweep plane.
Parameters:
iI
Axis system index (1 for profile plane, 2 for first sweep plane).
iElem
Inversion value:

Inversion values :
= 1 - CATGSMAxisInversionMode_None : no axis inverted.
= 2 - CATGSMAxisInversionMode_X : only X axis inverted.
= 3 - CATGSMAxisInversionMode_Y : only Y axis inverted.
= 4 - CATGSMAxisInversionMode_Both : both axes inverted.
See also:
HybridShapeFactory
o Sub SetRelimiters( ipIAElem1,
ipOrient1,
ipIAElem2,
ipOrient2)
Sets the elements relimiting the spine (or the default spine).
Parameters:
ipIAElem1
The first relimiting feature (plane or point)
ipOrient1
Split direction for the first relimitation
0 means that the beginning of the spine (considering its orientation) is removed, 1 means that the end of the spine is removed
ipIAElem2
The second relimiting feature (plane or point)
ipOrient2
Split direction for the second relimitation
o Sub SetSmoothAngleThreshold( iAngle)
Sets angular threshold.
param : iAngle Numerical value.
o Sub UseSketchAxisAsDefault( iBoolean)
Uses Sketch Axis As Default.
In case of a sketch profile, specify if the 2D sketch axis must be used as default planar profile axis (for positioning purpose) or not.
param iBoolean TRUE if the 2D sketch axis must be used, FALSE if not.

Copyright © 2006, Dassault Systèmes. All rights reserved.